//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Rikai.PRISM.WPF
{
    using System;
    using System.Collections.Generic;
    
    public partial class tblSyllabusMonth
    {
        public short Year { get; set; }
        public short BrandCd { get; set; }
        public int HouseCd { get; set; }
        public int TeacherCd { get; set; }
        public short CourseCd { get; set; }
        public int CourseMonth { get; set; }
        public byte Week { get; set; }
        public Nullable<System.DateTime> StartDate { get; set; }
        public Nullable<System.DateTime> EndDate { get; set; }
        public string TeacherName { get; set; }
        public string PupilCd1 { get; set; }
        public string PupilCd2 { get; set; }
        public string PupilCd3 { get; set; }
        public string PupilCd4 { get; set; }
        public string PupilCd5 { get; set; }
        public string PupilCd6 { get; set; }
        public string PupilCd7 { get; set; }
        public string PupilCd8 { get; set; }
        public string PupilCd9 { get; set; }
        public string PupilCd10 { get; set; }
        public string PupilCd11 { get; set; }
        public string PupilCd12 { get; set; }
        public string PupilCd13 { get; set; }
        public string PupilCd14 { get; set; }
        public string PupilCd15 { get; set; }
        public string PupilCd16 { get; set; }
        public string PupilCd17 { get; set; }
        public string PupilCd18 { get; set; }
        public string PupilCd19 { get; set; }
        public string PupilCd20 { get; set; }
        public string PupilCd21 { get; set; }
        public string PupilCd22 { get; set; }
        public string PupilName1 { get; set; }
        public string PupilName2 { get; set; }
        public string PupilName3 { get; set; }
        public string PupilName4 { get; set; }
        public string PupilName5 { get; set; }
        public string PupilName6 { get; set; }
        public string PupilName7 { get; set; }
        public string PupilName8 { get; set; }
        public string PupilName9 { get; set; }
        public string PupilName10 { get; set; }
        public string PupilName11 { get; set; }
        public string PupilName12 { get; set; }
        public string PupilName13 { get; set; }
        public string PupilName14 { get; set; }
        public string PupilName15 { get; set; }
        public string PupilName16 { get; set; }
        public string PupilName17 { get; set; }
        public string PupilName18 { get; set; }
        public string PupilName19 { get; set; }
        public string PupilName20 { get; set; }
        public string PupilName21 { get; set; }
        public string PupilName22 { get; set; }
        public Nullable<byte> Grade1 { get; set; }
        public Nullable<byte> Grade2 { get; set; }
        public Nullable<byte> Grade3 { get; set; }
        public Nullable<byte> Grade4 { get; set; }
        public Nullable<byte> Grade5 { get; set; }
        public Nullable<byte> Grade6 { get; set; }
        public Nullable<byte> Grade7 { get; set; }
        public Nullable<byte> Grade8 { get; set; }
        public Nullable<byte> Grade9 { get; set; }
        public Nullable<byte> Grade10 { get; set; }
        public Nullable<byte> Grade11 { get; set; }
        public Nullable<byte> Grade12 { get; set; }
        public Nullable<byte> Grade13 { get; set; }
        public Nullable<byte> Grade14 { get; set; }
        public Nullable<byte> Grade15 { get; set; }
        public Nullable<byte> Grade16 { get; set; }
        public Nullable<byte> Grade17 { get; set; }
        public Nullable<byte> Grade18 { get; set; }
        public Nullable<byte> Grade19 { get; set; }
        public Nullable<byte> Grade20 { get; set; }
        public Nullable<byte> Grade21 { get; set; }
        public Nullable<byte> Grade22 { get; set; }
        public Nullable<byte> SubjectCd1 { get; set; }
        public Nullable<byte> SubjectCd2 { get; set; }
        public Nullable<byte> SubjectCd3 { get; set; }
        public Nullable<byte> SubjectCd4 { get; set; }
        public Nullable<byte> SubjectCd5 { get; set; }
        public Nullable<byte> SubjectCd6 { get; set; }
        public Nullable<byte> SubjectCd7 { get; set; }
        public Nullable<byte> SubjectCd8 { get; set; }
        public Nullable<byte> SubjectCd9 { get; set; }
        public Nullable<byte> SubjectCd10 { get; set; }
        public Nullable<byte> SubjectCd11 { get; set; }
        public Nullable<byte> SubjectCd12 { get; set; }
        public Nullable<byte> SubjectCd13 { get; set; }
        public Nullable<byte> SubjectCd14 { get; set; }
        public Nullable<byte> SubjectCd15 { get; set; }
        public Nullable<byte> SubjectCd16 { get; set; }
        public Nullable<byte> SubjectCd17 { get; set; }
        public Nullable<byte> SubjectCd18 { get; set; }
        public Nullable<byte> SubjectCd19 { get; set; }
        public Nullable<byte> SubjectCd20 { get; set; }
        public Nullable<byte> SubjectCd21 { get; set; }
        public Nullable<byte> SubjectCd22 { get; set; }
        public string Memo1 { get; set; }
        public string Memo2 { get; set; }
        public string Memo3 { get; set; }
        public string Memo4 { get; set; }
        public string Memo5 { get; set; }
        public string Memo6 { get; set; }
        public string Memo7 { get; set; }
        public string Memo8 { get; set; }
        public string Memo9 { get; set; }
        public string Memo10 { get; set; }
        public string Memo11 { get; set; }
        public string Memo12 { get; set; }
        public string Memo13 { get; set; }
        public string Memo14 { get; set; }
        public string Memo15 { get; set; }
        public string Memo16 { get; set; }
        public string Memo17 { get; set; }
        public string Memo18 { get; set; }
        public string Memo19 { get; set; }
        public string Memo20 { get; set; }
        public string Memo21 { get; set; }
        public string Memo22 { get; set; }
        public string StdCourseStatus1 { get; set; }
        public string StdCourseStatus2 { get; set; }
        public string StdCourseStatus3 { get; set; }
        public string StdCourseStatus4 { get; set; }
        public string StdCourseStatus5 { get; set; }
        public string StdCourseStatus6 { get; set; }
        public string StdCourseStatus7 { get; set; }
        public string StdCourseStatus8 { get; set; }
        public string StdCourseStatus9 { get; set; }
        public string StdCourseStatus10 { get; set; }
        public string StdCourseStatus11 { get; set; }
        public string StdCourseStatus12 { get; set; }
        public string StdCourseStatus13 { get; set; }
        public string StdCourseStatus14 { get; set; }
        public string StdCourseStatus15 { get; set; }
        public string StdCourseStatus16 { get; set; }
        public string StdCourseStatus17 { get; set; }
        public string StdCourseStatus18 { get; set; }
        public string StdCourseStatus19 { get; set; }
        public string StdCourseStatus20 { get; set; }
        public string StdCourseStatus21 { get; set; }
        public string StdCourseStatus22 { get; set; }
        public string YM { get; set; }
        public Nullable<System.DateTime> UpdStampDate { get; set; }
        public string UpdStampId { get; set; }
        public Nullable<System.DateTime> InsStampDate { get; set; }
        public string InsStampId { get; set; }
    }
}
